org.keycloak.protocol.oidc.par.endpoints

## Class ParEndpoint

- java.lang.Object
- - org.keycloak.protocol.oidc.par.endpoints.AbstractParEndpoint
  - - org.keycloak.protocol.oidc.par.endpoints.ParEndpoint

-     public class ParEndpoint
      extends AbstractParEndpoint

  Pushed Authorization Request endpoint

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PAR_CREATED_TIME`
    `static int` | `REQUEST_URI_PREFIX_LENGTH`

    - ### Fields inherited from class org.keycloak.protocol.oidc.par.endpoints.AbstractParEndpoint

      `client, cors, event, realm, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParEndpoint(KeycloakSession session, EventBuilder event)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.ws.rs.core.UriBuilder` | `parUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `javax.ws.rs.core.Response` | `request()`

    - ### Methods inherited from class org.keycloak.protocol.oidc.par.endpoints.AbstractParEndpoint

      `authorizeClient, checkRealm, checkSsl, getHash, throwErrorResponseException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PAR_CREATED_TIME

          public static final String PAR_CREATED_TIME

      See Also:
        Constant Field Values

    - #### REQUEST_URI_PREFIX_LENGTH

          public static final int REQUEST_URI_PREFIX_LENGTH

  - ### Constructor Detail

    - #### ParEndpoint

          public ParEndpoint(KeycloakSession session,
                             EventBuilder event)

  - ### Method Detail

    - #### parUrl

          public static javax.ws.rs.core.UriBuilder parUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### request

          @Path(value="/")
           @POST
           @Consumes(value="application/x-www-form-urlencoded")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response request()

Copyright © 2021 JBoss by Red Hat. All rights reserved.